Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_EventListener Class Reference

`#include <Notify_Listeners.h>`

Inheritance diagram for TAO_Notify_EventListener:

[legend]
Collaboration diagram for TAO_Notify_EventListener:

[legend]
List of all members.

## Public Methods
virtual void | dispatch_event (TAO_Notify_Event &event ACE_ENV_ARG_DECL)=0
virtual CORBA::Boolean | evaluate_filter (TAO_Notify_Event &event, CORBA::Boolean eval_parent ACE_ENV_ARG_DECL)=0
virtual void | shutdown (ACE_ENV_SINGLE_ARG_DECL)=0
virtual TAO_Notify_Worker_Task * | event_dispatch_task (void)=0
virtual TAO_Notify_Worker_Task * | filter_eval_task (void)=0

## Member Function Documentation

virtual void TAO_Notify_EventListener::dispatch_event | ( | TAO_Notify_Event &event | ACE_ENV_ARG_DECL | ) | `[pure virtual]`

| Reimplemented in TAO_Notify_ConsumerAdmin_i, TAO_Notify_ProxySupplier, TAO_Notify_ProxySupplier< POA_CosNotifyChannelAdmin::StructuredProxyPushSupplier >, TAO_Notify_ProxySupplier< POA_CosNotifyChannelAdmin::ProxyPushSupplier >, and TAO_Notify_ProxySupplier< POA_CosNotifyChannelAdmin::SequenceProxyPushSupplier >.

virtual CORBA::Boolean TAO_Notify_EventListener::evaluate_filter | ( | TAO_Notify_Event & | event,
|  | CORBA::Boolean eval_parent | ACE_ENV_ARG_DECL
| ) | `[pure virtual]`

| Reimplemented in TAO_Notify_ConsumerAdmin_i, TAO_Notify_ProxySupplier, TAO_Notify_ProxySupplier< POA_CosNotifyChannelAdmin::StructuredProxyPushSupplier >, TAO_Notify_ProxySupplier< POA_CosNotifyChannelAdmin::ProxyPushSupplier >, and TAO_Notify_ProxySupplier< POA_CosNotifyChannelAdmin::SequenceProxyPushSupplier >.

virtual TAO_Notify_Worker_Task* TAO_Notify_EventListener::event_dispatch_task | ( | void |  | ) | `[pure virtual]`

| Reimplemented in TAO_Notify_ConsumerAdmin_i, TAO_Notify_ProxySupplier, TAO_Notify_ProxySupplier< POA_CosNotifyChannelAdmin::StructuredProxyPushSupplier >, TAO_Notify_ProxySupplier< POA_CosNotifyChannelAdmin::ProxyPushSupplier >, and TAO_Notify_ProxySupplier< POA_CosNotifyChannelAdmin::SequenceProxyPushSupplier >.

virtual TAO_Notify_Worker_Task* TAO_Notify_EventListener::filter_eval_task | ( | void |  | ) | `[pure virtual]`

| Reimplemented in TAO_Notify_ConsumerAdmin_i, TAO_Notify_ProxySupplier, TAO_Notify_ProxySupplier< POA_CosNotifyChannelAdmin::StructuredProxyPushSupplier >, TAO_Notify_ProxySupplier< POA_CosNotifyChannelAdmin::ProxyPushSupplier >, and TAO_Notify_ProxySupplier< POA_CosNotifyChannelAdmin::SequenceProxyPushSupplier >.

virtual void TAO_Notify_EventListener::shutdown | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[pure virtual]`

| Reimplemented in TAO_Notify_ConsumerAdmin_i, TAO_Notify_ProxyPushSupplier_i, TAO_Notify_SequenceProxyPushSupplier_i, and TAO_Notify_StructuredProxyPushSupplier_i.

The documentation for this class was generated from the following file:

- Notify_Listeners.h